import React, { useState } from 'react';
const Pagination = ({
  pagination,
  fetch
}) => {
  const [goToValue, setGoToValue] = useState('');
  const goTo = e => (goToPage(e.target.value), setGoToValue(''));
  const goToPage = pageNum => fetch(pageNum);
  return /*#__PURE__*/React.createElement("div", {
    className: "pagination"
  }, /*#__PURE__*/React.createElement("div", {
    className: "flex1 left previous-page text-primary"
  }, pagination.isFirstPage == false && /*#__PURE__*/React.createElement("a", {
    onClick: () => goToPage(pagination.page - 1)
  }, /*#__PURE__*/React.createElement("i", {
    className: "material-icons"
  }, "arrow_back_ios"), /*#__PURE__*/React.createElement("span", null, " Page pr\xE9c\xE9dente"))), /*#__PURE__*/React.createElement("span", null, pagination.page, " /", ' ', /*#__PURE__*/React.createElement("span", {
    className: "clickable text-primary",
    onClick: () => goToPage(pagination.pageTotalNumber)
  }, pagination.pageTotalNumber)), /*#__PURE__*/React.createElement("div", {
    className: "flex1 next-page text-primary"
  }, pagination.isLastPage == false && /*#__PURE__*/React.createElement("a", {
    onClick: () => goToPage(pagination.page + 1)
  }, /*#__PURE__*/React.createElement("span", null, "Page suivante "), /*#__PURE__*/React.createElement("i", {
    className: "material-icons"
  }, "arrow_forward_ios"))), pagination.pageTotalNumber > 1 && /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("label", null, "Aller \xE0 la page : "), /*#__PURE__*/React.createElement("select", {
    id: "pagination_go_to_nb",
    className: "form-select",
    "aria-label": "Default select example",
    onChange: goTo,
    value: goToValue
  }, /*#__PURE__*/React.createElement("option", null), [...Array(pagination.pageTotalNumber).keys()].map(i => /*#__PURE__*/React.createElement("option", {
    key: i,
    value: i + 1
  }, i + 1)))));
};
export default Pagination;